function [SPL] = compute_SPL(p_2,rho_inf,a_inf,p_ref,T_inf,r_)

% This function compute SPL from p_2.

% Atmopheric absorpition attenuation

% - Centered frequency 1/3-octave
f = [50 63 80 100 125 160 200 250 315 400 500 630 800 1000 1250 1600 2000 2500 3150 4000 5000 6300 8000 10000]; %frequenze centrali tra 50 e 10000 Hz in 1/3 di ottava

% - Temperature [°C]
T_inf_C = T_inf - 273.15;

% - Relative humidity
RH = 0.7;

% - Losses [db/100m]
coeff_assorb = Norm866(T_inf_C,RH,f);

% --> Total losses
coeff_assorb_tot = coeff_assorb*(r_/100);

SPL = (10.*log10(p_2)+20.*log10((rho_inf.*a_inf.^2)./p_ref))-coeff_assorb_tot; 
end

