function [p_2] = compute_p_2_air(Overall_power,Directivity_function, Spectrum_function,rs_ad,M_inf,theta_s)

% This function computes RMS normalized acoustic pressure with equation valid for each
% component of Airframe noise considered (Clean delta wing, Vertical Tail,
% Landing Gear - wheels & strut).

p_2 = (Overall_power/(4*pi*rs_ad^2))*((Directivity_function*Spectrum_function)/(1-M_inf*cosd(theta_s)^4));

end

